<div class="col-8 offset-2 mt-4">
	<h2>{{title}}</h2>
	<div class="alert alert-success" *ngIf="status=='success'">
		Te has registrado correctamente, loguéate <a [routerLink]="['login']">desde aquí</a>
	</div>
	<div class="alert alert-success" *ngIf="status=='error'">
		Error al registarte
	</div>
	<form #registerForm="ngForm" (ngSubmit)="onSubmit(); registerForm.reset()" class="col-10">
		<p>
			<label for="name">Nombre</label>
			<input type="text" id="name" name="name" class="form-control" #name="ngModel" [(ngModel)]="user.name" required>
			<br>
			<span *ngIf="!name.valid && name.touched" class="alert alert-danger">El nombre no es válido</span>
		</p>
		<p>
			<label for="surname">Apellidos</label>
			<input type="text" id="surname" name="surname" class="form-control" #surname="ngModel" [(ngModel)]="user.surname" required>
			<br>
			<span *ngIf="!surname.valid && surname.touched" class="alert alert-danger">Los apellidos no son válidos</span>
		</p>
		<p>
			<label for="email">E-Mail</label>
			<input type="email" id="email" name="email" class="form-control" #email="ngModel" [(ngModel)]="user.email" required>
			<br>
			<span *ngIf="!email.valid && email.touched" class="alert alert-danger">EL e-mail no es válido</span>
		</p>
		<p>
			<label for="password">Contraseña</label>
			<input type="password" id="password" name="password" class="form-control" #password="ngModel" [(ngModel)]="user.password" required>
			<br>
			<span *ngIf="!password.valid && password.touched" class="alert alert-danger">La contraseña no es válida</span>
		</p>
		<p>
			<input type="submit" value="Resgistrar" class="btn btn-success" [disabled]="!registerForm.form.valid">
		</p>
	</form>
</div>
